pro TropFlux_wind_stress_19890101_20101231
@common
;------------------------------------------------------------
st=19880101 & en=20101231
st=19880101 & en=20101231
;
file="/Volumes/PAYASAM/TropFlux/ERA_C_1989_2010/TropFlux_19890101_20101231.nc"
initncdf, file
tau=read_ncdf("tau", st, en, file=file,/nostr)
tau=reform(tau)
help, tau
;
stop
dir='/Volumes/PAYASAM/TropFlux/ERA_C_1989_2010/'
file_wind=dir+'TropFlux_ws_19890101_20101231.nc'
file_wg=dir+'gustiness_19890101_20101231.nc'
initncdf, file_wind
;
ws=read_ncdf('ws',st,en,file=file_wind,/nostr)
wg=read_ncdf('wg',st,en,file=file_wg,/nostr)
s=sqrt((ws*ws)+(wg*wg))
s=reform(s) & help, s
;
file="/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_ws_19890101_20101231.nc"
initncdf, file
u=read_ncdf('u10',st,en,file=file,/nostr)
v=read_ncdf('v10',st,en,file=file,/nostr)
;
u=reform(u) & v=reform(v)
help, u,v
taux=tau*u/s
tauy=tau*v/s
;
help, taux, tauy
;
time=timegen(8035, start=julday(1,1,1989,0), units='days') & jpt=n_elements(time)
;------------------------------------------------------------
cda0=string(jul2date(time(0)),format='(i8.8)')
cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
tt=time-julday(1,1,1950,00,00,00)
xlon=reform(glamt(*,0) ) & ylat=reform(gphit(0,*))
;
ncfile='!/Volumes/PAYASAM/TropFlux/ERA_C_1989_2010/tau_tropflux_1d_19890101_20101231.nc'
lon_attr={units:'degrees_east',long_name:'Longitude'}
lat_attr={units:'degrees_north',long_name:'Latitude'}
tau_attr={units:'N/m2',missing_value:valmask,long_name:'wind stress magnitude',short_name:'tau',axis:'TYX'}
taux_attr={units:'N/m2',missing_value:valmask,long_name:'zonal wind stress',short_name:'taux',axis:'TYX'}
tauy_attr={units:'N/m2',missing_value:valmask,long_name:'meridional wind stress',short_name:'tauy',axis:'TYX'}
time_attr={units:'days since 1950-01-01 00:00:00',long_name:'Time axis',time_origin:' 1950-JAN-01 00:00:00'}
;
globattr={Source:'TropFlux - Momentum Fluxes for the Global Tropics', Methodology:'Praveen Kumar et al., Clim. Dyn 2011', Producer_Agency:'Joint research colloboration between IPSL, Paris and NIO, India', Time_range:cda0+' - '+cda1, Creation_date:'20110707', Website:'http://www.locean-ipsl.upmc.fr/tropflux/'}
;
help, xlon,ylat, taux, tauy, tau
;
ncfields = 'tau[longitude,latitude,time]=tau:tau_attr; ' $
          +'taux[longitude,latitude,time]=taux:taux_attr; ' $
          +'tauy[longitude,latitude,time]=tauy:tauy_attr; ' $
                      + 'longitude[]=xlon:lon_attr; ' $
                      + 'latitude[]=ylat:lat_attr; ' $
                      + 'tt[*time]=tt:time_attr ' $
                      + ' @ globattr'
;
@ncdf_quickwrite
;
end
