#! /bin/sh
#+
#
# .. program:: get_olr.sh
#
# .. _get_olr.sh:
#
# ==========
# get_olr.sh
# ==========
#
# SYNOPSIS
# ========
#
# ::
#
#  $ get_olr.sh
#
# DESCRIPTION
# ===========
#
# ``get_olr.sh`` get OLR interpolated reference file
#
# SEE ALSO
# ========
#
# :ref:`data_in_olr`
#
# :ref:`get_olrnint.sh`
#
# TODO
# ====
#
# homogenize with get_oaflux.sh for trace, environnement and so on
#
# coding rules
#
# check if we can use OpenDAP file cited
# in http://www.esrl.noaa.gov/psd/data/gridded/data.interp_OLR.html
# cf. http://www.esrl.noaa.gov/psd/thredds/dodsC/Datasets/interp_OLR/catalog.html?dataset=PSDgriddedData/interp_OLR/olr.day.mean.nc
#
# it might be dangerous because modification with became less visible
# but at least we will be sure to use the most recent one !
#
# EVOLUTIONS
# ==========
#
# $Id$
#
# $URL$
#
# - fplod 20110812T092412Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * usage of ${PROJECT_ID}
#
# - fplod 20101213T155858Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * minimal header
#
# - jv 2008
#
#   * creation
#
#-

wget  --tries=1 --no-verbose -P ${PROJECT_ID} \
     ftp://ftp.cdc.noaa.gov/Datasets/interp_OLR/olr.day.mean.nc

#ftp -n <<@DELIM
#  open ftp.cdc.noaa.gov
#  user anonymous jv@locean-ipsl.upmc.fr
#  bin
#  prompt
#  cd /Datasets/interp_OLR/
#  mget QS_XWGRD3_${yea}*.gz
#  quit
#@DELIM

exit 0
