;+
;
; .. _project_init.pro:
;
; ================
; project_init.pro
; ================
;
; DESCRIPTION
; ===========
;
; This is the SAXO initialisation file.
;
; It ++::
;
;   $ idl -startupfile project_init.pro
;
; or::
;   $ idl -IDL_STARTUP project_init.pro
;
; or::
;
;  $ IDL
;  IDL> @project_init
;
;
; SEE ALSO
; ========
;
; :ref:`project_profile.sh`
;
; TODO
; ====
;
; learn to write IF .. ELSE in a @file
;
; check idl -IDL_STARTUP project_init.pro not ok now on cratos
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20110429T081938Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * rename to project_init.pro (more generic)
;
; - fplod 20110413T151541Z cratos.locean-ipsl.upmc.fr (Linux)
;
;   * fix uncompleted replacement SAXO_SRC by SAXO_DIR
;
; - fplod 20110413T070801Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * replace SAXO_SRC by SAXO_DIR
;
; - fplod 20110411T074056Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * remove fplod/cratos dependencies use $TROPFLUX*; use SAXO_SRC;
;     add cm_project
;
; - fplod 20110408T131625Z cratos.locean-ipsl.upmc.fr (Linux)
;
;   * creation using buildinit on cratos
;
;-
;
; SAXO environment
saxo_dir_env=GETENV('SAXO_DIR')
;
; project environment #1
project_env_temp=GETENV('PROJECT')
project_id_env_temp=GETENV('PROJECT_ID')
project_od_env_temp=GETENV('PROJECT_OD')
;
; path definition
!path = expand_path('+' + project_env_temp + '/src') $
      + path_sep(/search_path) + expand_path('+' + saxo_dir_env) $
      + path_sep(/search_path) + expand_path('+' + !dir)
;
; project environment #2
@cm_project
project_env=project_env_temp
project_id_env=project_id_env_temp
project_od_env=project_od_env_temp
;
; compatibility with the old version
;
keep_compatibility, 0
;
; define all the commons
;
@cm_4cal
@cm_4data
@cm_4mesh
@cm_4data
@cm_4ps
@cm_general
;
; define default directories
;
homedir = isadirectory(project_env + '/src/', title = 'Select the default HOME directory')
iodir = isadirectory(project_id_env, title = 'Select the default IO directory')
psdir = isadirectory(project_od_env, title = 'Select the default postscripts directory')
imagedir = isadirectory(project_od_env, title = 'Select the default images directory')
animdir = isadirectory(project_od_env, title = 'Select the default animations directory')
;
; define printer parameters
;
printer_human_names = ''
printer_machine_names = ''
print_command = ''
;
; colors ...
;
device, decomposed = 0
device, retain = 2
lct, 39
;
; postscript parameters ...
;
key_portrait = 0
page_size = [20.9903, 29.7039]
windowsize_scale = 1.00000
archive_ps = 0
;
;========================================================
; end of the part that should be modified by the users...
;========================================================
;
; if needed, keep compatibility with the old version
;
@updateold
;
